﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSDDBBrowser.Core.Model
{
    public partial class g_sbProcess
    {
        [Key]
        public int ide { get; set; }

        public int? nJb { get; set; }

        public int? nJt { get; set; }

        public bool? bIsUpFin { get; set; }

        public int? nId { get; set; }

        [StringLength(50)]
        public string cOrderNo { get; set; }

        [StringLength(50)]
        public string cProjectNo { get; set; }

        [StringLength(50)]
        public string cTechnologyNo { get; set; }

        public DateTime? tBeginTime { get; set; }

        public DateTime? tEndTime { get; set; }

        [Column(TypeName = "numeric")]
        public decimal? nTotalLen { get; set; }

        public bool? bIsFinish { get; set; }

        public DateTime? tRemarksLT { get; set; }

        [StringLength(100)]
        public string cRemarks { get; set; }



    }
}
