using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.Spatial;

namespace WSDDBBrowser.Core.Model
{
    public partial class g_tgNumber
    {
        [Key]
        public int ide { get; set; }

        public int? nJb { get; set; }

        public int? nJt { get; set; }

        public int? nProcessId { get; set; }

        [StringLength(50)]
        public string cNumber { get; set; }

        [Column(TypeName = "numeric")]
        public decimal? nBeginLen { get; set; }

        [Column(TypeName = "numeric")]
        public decimal? nEndLen { get; set; }

        public DateTime? tBeginTime { get; set; }

        public DateTime? tEndTime { get; set; }

        public bool? bIsFinish { get; set; }
    }
}
