﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSDDBBrowser.Core.Model
{
    public partial class g_sbUser
    {
        [Key]
        public int ide { get; set; }

        public int? nJb { get; set; }

        public int? nJt { get; set; }

        public int? nProcessId { get; set; }

        [StringLength(10)]
        public string cUserName { get; set; }

        [Column(TypeName = "numeric")]
        public decimal? nBeginLen { get; set; }

        [Column(TypeName = "numeric")]
        public decimal? nEndLen { get; set; }

        public DateTime? tBeginTime { get; set; }

        public DateTime? tEndTime { get; set; }
    }
}
